gnutls_pkcs7_get_attr(3)

NAME
gnutls_pkcs7_get_attr - API function

SYNOPSIS
#include <gnutls/pkcs7.h>

int gnutls_pkcs7_get_attr(gnutls_pkcs7_attrs_t list, unsigned idx, char ** oid, gnutls_datum_t * data, unsigned flags);

ARGUMENTS

gnutls_pkcs7_attrs_t list
    A list of existing attributes or NULL for the first one

unsigned idx
    the index of the attribute to get

char ** oid
    the OID of the attribute (read-only)

gnutls_datum_t * data
    the raw data of the attribute

unsigned flags
    zero or GNUTLS_PKCS7_ATTR_ENCODE_OCTET_STRING

DESCRIPTION
This function will get a PKCS 7 attribute from the provided list. The OID is a constant string, but data will be allocated and must be deinitialized by the caller.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value. GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE is returned if there are no data in the current index.

SINCE
3.4.2

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/